@mixin tooltip($body-class-name, $background-color, $color)
  position: relative

  &:hover
    .#{$body-class-name}
      display: block

  .#{$body-class-name}
    background-color: $background-color
    $width: 300px
    display: none
    left: -$width - 20px
    top: -20px
    width: $width
    position: absolute
    padding: 15px
    color: $color

    &:after
      $height: 10px
      +triangle($height * 2, $background-color, right)

      display: block
      content: ''
      margin-left: -$height/2
      position: absolute
      right: -$height
      top: $height + 10px
